Subject: Re: bug#76987: 30.1; On-screen-keyboard always showing upon touching with no physical keyboard in GNOME
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Sun, 13 Apr 2025 10:16:44 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 28 Mar 2025 13:57:15 +0000
> From: [email-masked]
> Cc: Po Lu <[email-masked]>, [email-masked]
> 
>  > So maybe users should look at customizing this via GNOME 
> customization
> options.
> 
> Unfortunately the on-screen-keyboard accessibility setting is ignored 
> on GNOME with no physical keyboard attached. A touch screen press will 
> always trigger OSK if on a text-box. It appears there's no option to 
> circumvent this.
> 
>  > As documented in the Emacs manual, GNOME (and other X desktop
>  environments) apply heuristics to decide whether the on-screen keyboard
>  is to be displayed upon registering touchscreen input to an 
> application.
>  There's nothing here that is within our power to resolve, I'm afraid.
> 
> Got it, that's a pity. Thank you for the answer.

I guess there's nothing more to do here, so I'm now closing this bug.